Show / Hide Table of Contents

# Class PluginTestingOptIn

##### Inheritance

System.Object
PluginTestingOptIn

##### Implements

System.IEquatable<PluginTestingOptIn>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Configuration.Internal

###### Assembly: Dalamud.dll

##### Syntax

    public class PluginTestingOptIn : IEquatable<PluginTestingOptIn>

### Constructors

| Improve this Doc View Source

#### PluginTestingOptIn(String)

Initializes a new instance of the PluginTestingOptIn class.

##### Declaration

    public PluginTestingOptIn(string internalName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | internalName | The internal name of the plugin.

### Properties

| Improve this Doc View Source

#### Branch

Gets the testing branch to use.

##### Declaration

    public string Branch { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### InternalName

Gets the internal name of the plugin to test.

##### Declaration

    public string InternalName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Implements

System.IEquatable<T>